( cd usr/lib ; rm -rf libgtk-3.so.0 )
( cd usr/lib ; ln -sf libgtk-3.so.0.200.4 libgtk-3.so.0 )
( cd usr/lib ; rm -rf libgtk-3.so )
( cd usr/lib ; ln -sf libgtk-3.so.0.200.4 libgtk-3.so )
( cd usr/lib ; rm -rf libgailutil-3.so.0 )
( cd usr/lib ; ln -sf libgailutil-3.so.0.0.0 libgailutil-3.so.0 )
( cd usr/lib ; rm -rf libgailutil-3.so )
( cd usr/lib ; ln -sf libgailutil-3.so.0.0.0 libgailutil-3.so )
( cd usr/lib ; rm -rf libgdk-3.so )
( cd usr/lib ; ln -sf libgdk-3.so.0.200.4 libgdk-3.so )
( cd usr/lib ; rm -rf libgdk-3.so.0 )
( cd usr/lib ; ln -sf libgdk-3.so.0.200.4 libgdk-3.so.0 )

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/gtk-3.0/im-multipress.conf.new

# update glib schemas
if [ -x usr/bin/glib-compile-schemas ]; then
  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas 1> /dev/null 2> /dev/null
fi
